cache-dir: /tmp
archs:
- amd64
- arm64
distros:

  # Parent distributions
  buster:
    sources.list: |
      deb http://deb.debian.org/debian buster main contrib non-free
      deb http://deb.debian.org/debian-security buster/updates main contrib non-free

  bullseye:
    sources.list: |
      deb http://deb.debian.org/debian bullseye main contrib non-free
      deb http://deb.debian.org/debian-security bullseye-security main contrib non-free
      deb http://deb.debian.org/debian bullseye-updates main contrib non-free

  bookworm:
    sources.list: |
      deb http://deb.debian.org/debian bookworm main contrib non-free
      deb http://deb.debian.org/debian-security bookworm-security main contrib non-free
      deb http://deb.debian.org/debian bookworm-updates main contrib non-free
      deb http://deb.debian.org/debian bookworm-proposed-updates main contrib non-free

  sid:
    sources.list: |
      deb http://deb.debian.org/debian sid  main contrib non-free
      deb http://deb.debian.org/debian experimental  main contrib non-free

  # Derivative distributions
  engywuck:
    parent: buster
    vendor-suffix: progress
    sources.list: |
      deb https://deb.progress-linux.org/packages engywuck main contrib non-free
      deb https://deb.progress-linux.org/packages engywuck-security main contrib non-free
      deb https://deb.progress-linux.org/packages engywuck-updates main contrib non-free

  engywuck-backports:
    parent: bullseye
    vendor-suffix: progress
    sources.list: deb https://deb.progress-linux.org/packages engywuck-backports main contrib non-free

  fuchur:
    parent: bullseye
    vendor-suffix: progress
    sources.list: |
      deb https://deb.progress-linux.org/packages fuchur main contrib non-free
      deb https://deb.progress-linux.org/packages fuchur-security main contrib non-free
      deb https://deb.progress-linux.org/packages fuchur-updates main contrib non-free

  fuchur-backports:
    parent: bookworm
    vendor-suffix: progress
    sources.list: deb https://deb.progress-linux.org/packages fuchur-backports main contrib non-free

  graograman:
    parent: bookworm
    vendor-suffix: progress
    sources.list: |
      deb https://deb.progress-linux.org/packages graograman main contrib non-free
      deb https://deb.progress-linux.org/packages graograman-security main contrib non-free
      deb https://deb.progress-linux.org/packages graograman-updates main contrib non-free

  graograman-backports:
    parent: sid
    vendor-suffix: progress
    sources.list: deb https://deb.progress-linux.org/packages graograman-backports main contrib non-free

package-sets:
  ansible:
    - ansible:
    - ansible-core
    - ansible-lint:
      - python-netaddr
      - python-ansible-compat
      - ruamel.yaml:
        - ruamel.yaml.clib
      - yamllint
      - jinja2:
        - markupsafe
  
  apache:
    - apache2
    - apr
    - apr-util
    - nghttp2

  clusterlabs:
    - cluster-glue
    - corosync
    - crmsh
    - fence-agents
    - pacemaker
    - resource-agents
  
  debian:
    - apt
    - architecture-properties
    - base-files
    - ca-certificates
    - debhelper
    - debian-keyring
    - debootstrap
    - debputy:
        - lsprotocol
        - pygls
        - python-ruyaml
    - devscripts
    - dh-nss
    - dh-python
    - dpkg
    - isa-support
    - lintian
    - mmdebstrap
    - python-apt
    - sbuild
    - usrmerge

  debian-installer:
    - wide-dhcpv6
    - xserver-xorg-input-libinput

  frr:
    - frr:
      - librtr
    - libyang2

  git:
    - git
    - gitlint
    - pre-commit:
      - pre-commit-hooks
    - gitolite3
  
  gnome:
    - gimp
    - gnome-shell-extensions-extra
    - inkscape:
      - lib2geom
    - remmina:
      - freerdp3
    - gdm3
    - gedit
    - gimp
    - gnome-control-center
    - gnome-initial-setup
    - gnome-session
    - gnome-settings-daemon
    - gnome-shell
    - gnome-shell-extension-impatience
    - gnome-software
    - gnome-system-monitor
    - gnome-terminal
    - gsettings-desktop-schemas
    - meta-gnome3
    - nautilus
    - pipewire
    - xdg-user-dirs

  golang:
    - golang-1.16
    - golang-1.17
    - golang-1.18
    - golang-1.19
    - golang-1.20
    - golang-1.21
    - golang-1.22
    - golang-defaults
  
  haproxy:
    - haproxy:
      - opentracing-c-wrapper
      - opentracing-cpp

  hardware:
    - dmidecode
    - ethtool
    - libnvme:
      - meson
    - nvme-cli
    - parted
    - pci.ids
    - pciutils
    - powertop
    - smartmontools
    - spectre-meltdown-checker
    - usb.ids
    - usbutils

  icinga:
    - icinga-php-library
    - icinga-php-thirdparty
    - icinga2
    - icingadb
    - icingadb-web
    - icingaweb2
    - icingaweb2-module-audit
    - icingaweb2-module-boxydash
    - icingaweb2-module-businessprocess
    - icingaweb2-module-cube
    - icingaweb2-module-director
    - icingaweb2-module-eventdb
    - icingaweb2-module-fileshipper
    - icingaweb2-module-generictts
    - icingaweb2-module-graphite
    - icingaweb2-module-idoreports
    - icingaweb2-module-incubator
    - icingaweb2-module-map
    - icingaweb2-module-nagvis
    - icingaweb2-module-pdfexport
    - icingaweb2-module-pnp
    - icingaweb2-module-reporting
    - icingaweb2-module-statusmap
    - icingaweb2-module-toplevelview
    - icingaweb2-module-x509
    - monitoring-plugins
    - nagios-nrpe

  irssi:
    - irssi
    - irssi-scripts

  kernel:
    - amd64-microcode
    - arm-trusted-firmware
    - cryptsetup
    - cryptsetup-nuke-password
    - dkms
    - dracut
    - e2fsprogs
    - exfatprogs
    - firmware-free
    - firmware-nonfree
    - initramfs-tools
    - intel-microcode
    - kernel-wedge
    - kexec-tools
    - klibc
    - kmod
    - libdrm
    - linux:
      - libtracefs
      - libtraceevent
      - libopencsd
    - mdadm
    - squashfs-tools
    - wireless-regdb
    - initramfs-tools

  knot:
    - knot:
      - xdp-tools:
        - libbpf
      - gnutls28
      - ngtcp2:
        - nghttp3
    - dns-root-data
    - knot-resolver
    - bind9

  libreoffice:
    - libreoffice
    - frozen
    - libcmis
    - libixion
    - liborcus
    - libreoffice-dictionaries
    - mdds
    - raptor2

  lzip:
    - lzip
    - clzip
    - lunzip
    - lzd
    - lziprecover
    - lzlib
    - pdlzip
    - plzip
    - tarlz
    - xlunzip
    - zutils

  manpages:
    - manpages
    - groff
    - man-db
    - manpages-l10n:
      - po4a

  mozilla:
    - firefox:
      - foxyproxy-firefox-extension
      - privacybadger
      - gcc-13
      - ublock-origin
    - firefox-esr
    - nspr
    - nss
    - rust-cbindgen:
      - rust-proc-macro2
    - rustc:
      - cargo:
        - libgit2:
          - node-undici
    - thunderbird:
        - dav4tbsync
        - eas4tbsync
        - rnp
        - sexpp
        - tbsync
    - wasi-libc

  mpv:
    - mpv
    - libplacebo
  
  nfs-utils:
    - nfs-utils
    - libtirpc

  nftables:
    - nftables
    - libnftnl

  open-infrastructure:
    - open-infrastructure-compute-tools
    - open-infrastructure-service-tools

  openssh:
    - openssh
    - libfido2
    - ssh-audit

  postgresl:
    - postgresql-15
    - postgresql-16
    - postgresql-common

  powerline:
    - powerline
    - powerline-gitstatus

  progress-linux:
    - progress-linux
    - progress-linux-metapackages

  prompt-toolkit:
    - cli-helpers
    - iredis
    - litecli
    - mycli
    - pgcli
    - prompt-toolkit
    - ptpython
    - python-pgspecial

  rsyslog:
    - rsyslog
    - rsyslog-doc

  samba:
    - samba
    - talloc
    - tdb
    - tevent

  shell:
    - asciinema
    - bash-completion
    - coreutils
    - file
    - force-ip-protocol
    - geoip
    - geoip-database
    - gnupg2
    - htop
    - ipcalc-ng
    - lnav
    - lynx:
      - autoconf-dickey
    - mc
    - molly-guard
    - nmap
    - nwipe
    - parallel
    - procps
    - psmisc
    - rsync
    - screen
    - shadow
    - sudo
    - tcpdump
    - testssl.sh
    - tmux
    - traceroute
    - wget
    - whois

  sphinx:
    - alabaster
    - port-for
    - sphinx
    - sphinx-rtd-theme
    - sphinxcontrib-jquery
    - python-pallets-sphinx-themes

  suricata:
    - libhtp
    - suricata
    - suricata-update

  systemd:
    - systemd
    - init-system-helpers
    - package-notes

  vim:
    - vim
    - vim-nftables

  virtualbox:
    - virtualbox:
      - libtpms
    - kbuild
    - virtualbox-ext-pack
    - virtualbox-guest-additions-iso
